                      Computer Science 825
                         Quiz 4              Name _______________________

1. Select the appropriate window of vulnerability for collision
   OCCURRENCE in each of the following MAC protocols: (n.b. the
   question says occurrence and not detection)

   ____ a. Pure aloha            1. One byte time
                                 2. One packet time
   ____ b. Slotted aloha         3. Two packet times
                                 4. The one way propogation delay
   ____ c. Ethernet style        5. The two way propogation delay
           CSMA-CD               6. Two times the bit rate

2. Measurements of an infinite user slotted aloha channel show that 30%
   of the slots are idle.

   a. What is the total load (mean number of transmission attempts per
      packet time) = G.







   b. What is the throughput??







   c. What is the expected number of attempts required for each
      successful transmission.






3. If K stations share a CSMA-CD bus and the probability that any station
   will transmit on a given contention slot is "p", then the probability
   that a successful transmission will take place in a slot is:

   a. p                           c. p * k * (1 - k) ^ (p - 1)

   b. k * p * (1 - p) ^ (k - 1)   d. None of the above.


4. If the probability computed above is denoted A, then the probability
   that a contention interval will last exactly j slots is:

   a. A ^ j  * (1 - A) ^ (j - 1)  c. A / j

   b. (1 - A) ^ (j - 1)            d. None of the above.

5. Suppose slotted aloha is being used on a satellite based network.
   If the bit rate is 100,000 bits per second and packets are 5000
   bits long. (Speed of light = 180,000 miles/sec).
   How long (physically in miles) is a packet traveling through space.






6. Answer the following T or F. (Assume only the parameter indicated
   is being varied and all of the others remain fixed in each case).

   ___ a. Increasing the length of a CSMA CD LAN will increase the length
          of the contention interval and thus make the efficiency of the
          LAN higher.

   ___ b. Decreasing the average packet size will tend to make the efficiency
          of a CSMA CD LAN higher.

   ___ c. Decreasing the bit transmission rate from 10 Mbps to 1 Mbps
          increase the efficiency of a CSMA LAN


7. Use of p-persistent CSMA compared to 1 persistent CSMA

   a. Make avg latency (response)      b. Make avg latency (response)
      higher and make throughput          lower but make throughput
      higher                              higher

   c. Make avg latency (response)      d. Make avg latency (response)
      higher but make throughput          lower and make throughput
      lower                               lower


8. In a dual persistent protocol a station transmits with prob p
   when it initially sense a channel idle and with prob q when
   it has to wait for a busy channel to become idle.  The proper
   relationship between p and q is:

   a. p < q                            b. p > q

   c. p = q                            d. q = 1 and p < q


